"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addPackageNodeModulesToNodeRequirePath = void 0;
const path_1 = require("path");
const module_1 = require("module");
function addPackageNodeModulesToNodeRequirePath(relativePathToPackageNodeModules) {
    addToNodePath((0, path_1.join)(__dirname, relativePathToPackageNodeModules));
    // Re-initialize the paths into require
    module_1.Module._initPaths();
}
exports.addPackageNodeModulesToNodeRequirePath = addPackageNodeModulesToNodeRequirePath;
function addToNodePath(dir) {
    // NODE_PATH is a delimited list of paths.
    // The delimiter is different for windows.
    const delimiter = require('path').delimiter;
    const paths = process.env.NODE_PATH
        ? process.env.NODE_PATH.split(delimiter)
        : [];
    // The path is already in the node path
    if (paths.includes(dir)) {
        return;
    }
    // Add the tmp path
    paths.push(dir);
    // Update the env variable.
    process.env.NODE_PATH = paths.join(delimiter);
}
//# sourceMappingURL=resolution-helpers.js.map